curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/close-month' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"closed_by": "string",
"dry_run": false,
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"skip_depreciation": true,
"skip_fx_revaluation": true,
"skip_period_close": true,
"skip_revenue_recognition": true
}'
{
"closing_entry": {
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": null,
"account_name": null,
"account_number": null,
"credit_amount": null,
"currency": null,
"debit_amount": null,
"description": null,
"id": null,
"line_number": null
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
},
"depreciation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"dry_run": false,
"fx_revaluation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_close": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_name": "string",
"period_status": "string",
"revenue_recognition": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
}
}
Close a month
Close a month
POST
/
api
/
v1
/
gl
/
close-month
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/close-month' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"closed_by": "string",
"dry_run": false,
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"skip_depreciation": true,
"skip_fx_revaluation": true,
"skip_period_close": true,
"skip_revenue_recognition": true
}'
{
"closing_entry": {
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": null,
"account_name": null,
"account_number": null,
"credit_amount": null,
"currency": null,
"debit_amount": null,
"description": null,
"id": null,
"line_number": null
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
},
"depreciation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"dry_run": false,
"fx_revaluation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_close": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_name": "string",
"period_status": "string",
"revenue_recognition": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
}
}
Request body
CloseMonthRequest
string,null
Actor recorded as the closer. Defaults to
api.boolean,null
Compute counts/amounts per step without writing anything.
string
required
Accounting period to close.
boolean,null
Skip posting scheduled fixed-asset depreciation.
boolean,null
Skip FX revaluation of foreign-currency accounts.
boolean,null
Skip the final period close (closing entries + close period).
boolean,null
Skip recognizing deferred revenue through period end.
Response
CloseMonthResponse
JournalEntryResponse,null
Show JournalEntryResponse
Show JournalEntryResponse
string
required
string
required
string
required
string
required
string
required
string
required
boolean
required
JournalEntryLineResponse[]
required
string
required
string,null
string,null
string,null
string,null
string
required
string
required
string
required
Decimal total credits as a string.
string
required
Decimal total debits as a string.
CloseMonthStepResponse
required
Step 1: scheduled depreciation due through period end.
boolean
required
CloseMonthStepResponse
required
Step 3: FX revaluation as of period end.
CloseMonthStepResponse
required
Step 4: closing entries + close period.
string
required
string
required
string
required
Period status after the run (
closed after a real close).CloseMonthStepResponse
required
Step 2: deferred revenue recognized through period end.
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
404 | — |
422 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/close-month' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"closed_by": "string",
"dry_run": false,
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"skip_depreciation": true,
"skip_fx_revaluation": true,
"skip_period_close": true,
"skip_revenue_recognition": true
}'
{
"closing_entry": {
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [
{
"account_id": null,
"account_name": null,
"account_number": null,
"credit_amount": null,
"currency": null,
"debit_amount": null,
"description": null,
"id": null,
"line_number": null
}
],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
},
"depreciation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"dry_run": false,
"fx_revaluation": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_close": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
},
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"period_name": "string",
"period_status": "string",
"revenue_recognition": {
"entry_count": 1,
"status": "pending",
"total_amount": "102.12",
"warnings": [
"string"
]
}
}
Last modified on August 31, 2026